function getECMtatus()
{
	var xmlhttp = false;
	var response;
	var params = "type=33&cmd=1&language=" + document.getElementById("language").value;
	
	xmlhttp = getHTTPObject();
	xmlhttp.open("POST", "/goform/formIPQAM", true);
	xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	xmlhttp.setRequestHeader("Content-length", params.length);

	xmlhttp.onreadystatechange = function()
	{
		if(xmlhttp.readyState == 4)
		{
			response = xmlhttp.responseText.slice(7, -8);
			var ecmStatusRows = response.split("&");
			var len = ecmStatusRows.length;
			for(var i = 0; i < len; i++)
			{
				var rowData = ecmStatusRows[i].split(",");
				for(var j = 0; j < (rowData.length - 1); j++)
				{
					document.getElementById("ecm" + (i + 1) + (j + 1)).innerHTML = rowData[j];
					
				}
				document.getElementById("eis" + (i + 1)).innerHTML = rowData[rowData.length - 1];
			}
		}
	}
	xmlhttp.send(params);
}


function PageLoadHandler()
{
	document.body.style.cursor = "wait";
	window.status = "Retrieving data, please wait...";
	
	getECMtatus();
	
	document.body.style.cursor = "auto";
	window.status = "Done";
}

window.onload = function()
{
	PageLoadHandler();
}
